VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
OutputStream Class Referenceabstract

ByteOrder aware output stream interface. More...

Inheritance diagram for OutputStream:

## Public Member Functions
| OutputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~OutputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator<< (const int8_t &input)
bool | operator<< (const uint8_t &input)
bool | operator<< (const int16_t &input)
bool | operator<< (const uint16_t &input)
bool | operator<< (const int32_t &input)
bool | operator<< (const uint32_t &input)
bool | operator<< (const int64_t &input)
bool | operator<< (const uint64_t &input)
bool | operator<< (const double &input)
virtual bool | operator<< (const std::string &str)=0
virtual uint32_t | writeRaw (const void *buffer, uint32_t size)=0

## Detailed Description

ByteOrder aware output stream interface.

## Constructor & Destructor Documentation

OutputStream | ( | ByteOrder | byteOrder = `kNativeByteOrder` | ) |
| inline explicit

virtual ~OutputStream | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

ByteOrder getByteOrder | ( |  | ) | const
| inline

bool operator<< | ( | const int8_t & | input | ) |

bool operator<< | ( | const uint8_t & | input | ) |

bool operator<< | ( | const int16_t & | input | ) |

bool operator<< | ( | const uint16_t & | input | ) |

bool operator<< | ( | const int32_t & | input | ) |

bool operator<< | ( | const uint32_t & | input | ) |

bool operator<< | ( | const int64_t & | input | ) |

bool operator<< | ( | const uint64_t & | input | ) |

bool operator<< | ( | const double & | input | ) |

virtual bool operator<< | ( | const std::string & | str | ) |
| pure virtual

Implemented in StdOutStream, BufferedOutputStream, CFileStream, CMemoryStream, and ZLibOutputStream.

void setByteOrder | ( | ByteOrder | newByteOrder | ) |
| inline

virtual uint32_t writeRaw | ( | const void * | buffer,
|  | uint32_t | size
| ) |  |
| pure virtual

Implemented in StdOutStream, BufferedOutputStream, CFileStream, CMemoryStream, and ZLibOutputStream.

The documentation for this class was generated from the following files:

- cstream.h
- cstream.cpp